2021-12-09 02:03:21

by Zhou, Jie2X

[permalink] [raw]
Subject: [PATCH v3] selftests: net: Correct ping6 expected rc from 2 to 1

./fcnal-test.sh -v -t ipv6_ping
TEST: ping out, VRF bind - ns-B IPv6 LLA [FAIL]
TEST: ping out, VRF bind - multicast IP [FAIL]

ping6 is failing as it should.
COMMAND: ip netns exec ns-A /bin/ping6 -c1 -w1 fe80::7c4c:bcff:fe66:a63a%red
strace of ping6 shows it is failing with '1',
so change the expected rc from 2 to 1.

Fixes: c0644e71df33 ("selftests: Add ipv6 ping tests to fcnal-test")
Reported-by: kernel test robot <[email protected]>
Suggested-by: David Ahern <[email protected]>
Signed-off-by: Jie2x Zhou <[email protected]>
---
tools/testing/selftests/net/fcnal-test.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tools/testing/selftests/net/fcnal-test.sh b/tools/testing/selftests/net/fcnal-test.sh
index 7f5b265fcb90..966787c2f9f0 100755
--- a/tools/testing/selftests/net/fcnal-test.sh
+++ b/tools/testing/selftests/net/fcnal-test.sh
@@ -2191,7 +2191,7 @@ ipv6_ping_vrf()
log_start
show_hint "Fails since VRF device does not support linklocal or multicast"
run_cmd ${ping6} -c1 -w1 ${a}
- log_test_addr ${a} $? 2 "ping out, VRF bind"
+ log_test_addr ${a} $? 1 "ping out, VRF bind"
done

for a in ${NSB_IP6} ${NSB_LO_IP6} ${NSB_LINKIP6}%${NSA_DEV} ${MCAST}%${NSA_DEV}
--
2.31.1



2021-12-10 03:20:17

by patchwork-bot+netdevbpf

[permalink] [raw]
Subject: Re: [PATCH v3] selftests: net: Correct ping6 expected rc from 2 to 1

Hello:

This patch was applied to netdev/net.git (master)
by Jakub Kicinski <[email protected]>:

On Thu, 9 Dec 2021 10:02:30 +0800 you wrote:
> ./fcnal-test.sh -v -t ipv6_ping
> TEST: ping out, VRF bind - ns-B IPv6 LLA [FAIL]
> TEST: ping out, VRF bind - multicast IP [FAIL]
>
> ping6 is failing as it should.
> COMMAND: ip netns exec ns-A /bin/ping6 -c1 -w1 fe80::7c4c:bcff:fe66:a63a%red
> strace of ping6 shows it is failing with '1',
> so change the expected rc from 2 to 1.
>
> [...]

Here is the summary with links:
- [v3] selftests: net: Correct ping6 expected rc from 2 to 1
https://git.kernel.org/netdev/net/c/92816e262980

You are awesome, thank you!
--
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html